const TokenKey = "saber-access-token";
export function setCookie(key, value, day) {
  let cookie = key + "=" + encodeURIComponent(value);
  if (day > 0) {
    let date = new Date();
    date.setDate(date.getDate() + day);
    cookie += ";expires=" + date;
  }
  document.cookie = cookie;
}
export function getCookie(key) {
  if (document.cookie.indexOf(key) < 0) {
    return;
  }
  let cookies = document.cookie.split(";");
  for (let i = 0; i < cookies.length; i++) {
    let temp = cookies[i].split("=");
    if (temp[0].replace(/\s/g, "") === key) {
      return decodeURIComponent(temp[1]);
    }
  }
}
export function getToken() {
  if (process.env.NODE_ENV === "development") {
    // return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJza3k5MTEiLCJpbnN0SWQiOiIxNzM5OTMxNjQxMjY4MjYwODY5Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3MzIyMzI2OTcsImlhdCI6MTcyODYzMjY5NywidXNlcklkIjoiMTczOTkyNzcxNDEyMDQ1NDIzNyIsImp0aSI6IjEwNDIxNDI4MDk2MjYyNDcxNjgifQ.HiKLCVWE4-jaP8CCPhp35GiFjW1eIs2Nu6X4bfY6rBwAh5UtQ7KzmzggqwLy829zEMKScyQreKPOEFAzPfbXpA'
    return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJza3k5MTEiLCJpbnN0SWQiOiIxNzM5OTMxNjQxMjY4MjYwODY5Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3Mzk5NzI4OTIsImlhdCI6MTczNjM3Mjg5MiwidXNlcklkIjoiMTczOTkyNzcxNDEyMDQ1NDIzNyIsImp0aSI6IjEwNzQ2MDc2NDAwMjMxMzgzMDQifQ.iDATWQVuWKY9qwU4nJIBTropkNwfIdJodW_EU5NUQ1bdtmCmR39jC2HjAHbwDYcvpsOBWx91S0sN1wKqZfbx9Q'
  } else {
    return getCookie('congress')
  }
}
